%global pdf_version 2.51.2

Summary:        File-synchronization tool for Unix and Windows
Name:           unison
Version:        2.52.1
Release:        %mkrel 1
License:        GPLv3+
Group:          File tools
URL:            https://github.com/bcpierce00/unison/wiki/
# Source from svn revision 511 from the 2.40 branch
# (the 102 number comes from the make export)
# svn co https://webdav.seas.upenn.edu/svn/unison/branches/2.40
# cd 2.40
# make export
Source0:        https://github.com/bcpierce00/unison/archive/refs/tags/v%{version}.tar.gz
Source1:        unison.png
# (tv) no more PDF after 2.51.2:
Source2:        http://www.seas.upenn.edu/~bcpierce/unison/download/releases/%{name}-%{pdf_version}/%{name}-%{pdf_version}-manual.pdf
BuildRequires:  ocaml-lablgtk2-devel >= 2.18.6
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  ocaml-compiler
BuildRequires:  emacs-common
Requires:       openssh-clients
Requires:       x11-font-schumacher-misc
Requires:       rsync

%description
Unison is a file-synchronization tool for Unix and Windows. It allows
two replicas of a collection of files and directories to be stored on
different hosts (or different disks on the same host), modified
separately, and then brought up to date by propagating the changes in
each replica to the other. Unlike simple mirroring or backup
utilities, Unison can deal with updates to both replicas of a
distributed directory structure. Updates that do not conflict are
propagated automatically.  Conflicting updates are detected and
displayed. Unison can synchronize either locally (between volumes
mounted on the same computer) or remotely,between any pair of machines
connected to the internet, communicating over either a direct socket
link or tunneling over an rsh or an encrypted ssh connection. It is
careful with network bandwidth, and runs well over slow links such as
PPP connections. Unison is available for both Windows (95/98/NT/2K)
and Unix (Linux, Solaris). Moreover, Unison works across platforms,
allowing you to synchronize a Windows laptop with a Unix server, for
example.

%prep
%autosetup -p1

%build
cd src
make THREADS=true UISTYLE=gtk2

%install
install -m755 src/%{name} -D %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -f %{SOURCE1} %{buildroot}%{_datadir}/pixmaps
cp -f %{SOURCE2} .

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=Unison
Comment=File-synchronization tool for Unix and Windows
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=System;
EOF

%files
%doc NEWS.md README.md %{name}-%{pdf_version}-manual.pdf
%license LICENSE
%{_bindir}/*
%{_datadir}/applications/mageia-%{name}.desktop
%{_datadir}/pixmaps/*


%changelog
* Thu Sep 15 2022 tv <tv> 2.52.1-1.mga9
+ Revision: 1888949
- 2.52.1
  See https://github.com/bcpierce00/unison/wiki/2.52-Migration-Guide
- New URL
- Keep PDF manual from 2.51.2 as that's the latest uploaded one
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Mar 22 2020 danf <danf> 2.51.2-3.mga8
+ Revision: 1558928
- Patches for safe strings in Ocaml 4.10.0
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.51.2-2.mga7
+ Revision: 1301525
- Mageia 7 Mass Rebuild

* Sun Feb 25 2018 daviddavid <daviddavid> 2.51.2-1.mga7
+ Revision: 1205069
- add patch to fix build with lablgtk >= 2.18.6
- new version: 2.51.2
+ bcornec <bcornec>
- Update to upstream 2.48.4

* Mon Sep 26 2016 pterjan <pterjan> 2.48.3-2.mga6
+ Revision: 1056516
- Rebuild for fix in ocaml

* Sun Jan 24 2016 daviddavid <daviddavid> 2.48.3-1.mga6
+ Revision: 926921
- new version: 2.48.3

* Wed Oct 15 2014 umeabot <umeabot> 2.40.102-5.mga5
+ Revision: 741190
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.40.102-4.mga5
+ Revision: 690049
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.40.102-3.mga4
+ Revision: 519903
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.40.102-2.mga3
+ Revision: 385067
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 2.40.102-1.mga3
+ Revision: 343369
- new version 2.40.102 (fixes mga#8241)

* Tue Oct 02 2012 blue_prawn <blue_prawn> 2.40.65-2.mga3
+ Revision: 302072
- rebuild with new ocaml 4.00

* Tue Aug 14 2012 malo <malo> 2.40.65-1.mga3
+ Revision: 281373
- update to 2.40.65

* Mon Sep 19 2011 fwang <fwang> 2.40.63-2.mga2
+ Revision: 145227
- rebuild for new libpng
+ tv <tv>
- drop merged patch
- new release

* Wed Jul 13 2011 mikala <mikala> 2.40.61-2.mga2
+ Revision: 123830
- Fix Categories
- Fix BuildRequires
- use %%apply_patches

* Thu Mar 17 2011 mikala <mikala> 2.40.61-1.mga1
+ Revision: 72994
- Update to last stable (2.40.61)
- use %%{buildroot} install of $RPM_BUILD_ROOT
- drop patch1 (not needed anymore)
- Add  patch1 to fix mkProjectInfo.ml creation

* Tue Feb 22 2011 mikala <mikala> 2.32.52-2.mga1
+ Revision: 56490
- Remove BuildRoot
- Clean spec
- imported package unison

